varying vec2 	texcoord;
varying vec2	VPOS;

/*#ifdef SHADOWS
	varying vec2 	texCoord1;
	uniform vec2 	screensize;	// screen width and height
#endif*/

void main()
{
	gl_Position = ftransform();
	texcoord = gl_MultiTexCoord0.st;
	VPOS=gl_MultiTexCoord1.xy/gl_MultiTexCoord1.z;
/*#ifdef SHADOWS
	texCoord1=texcoord.xy*screensize.xy/16.0;
#endif*/
}